package org.azuki.bean.tutorial;

import java.net.URL;

import org.azuki.client.javarpc.SimpleHttpClient;

public class RPCClient
{
	@SuppressWarnings("boxing")
	final static public void main(String[] args)
	{
		try
		{
			// Real life application gets this URL as a JApplet or a .jnlp file parameter
			URL codebase = new URL("http://localhost:8081/myAppLocation/") ; 
			
			// Create a new instance of the Tunneling connector
			SimpleHttpClient shc = new SimpleHttpClient(codebase) ;
		
			// Invoke the remote business service
			Double res = (Double)shc.invoke("calculateDiscount", 240) ;
		
			// Show the result 
			System.out.println("Discount is : "+res) ;
		}
		catch(Exception e)
		{
			e.printStackTrace() ;
		}
	}
}
